./mysql -ureaduser -p54209lpsfg -h203.200.1.84 -P3306 mifos -e "show create table loan_account \G" >> /home/anil/Desktop/Tableinfo_4m_master.sql

*************************** 1. row ***************************
       Table: loan_account
Create Table: CREATE TABLE `loan_account` (
  `ACCOUNT_ID` int(11) NOT NULL DEFAULT '0',
  `BUSINESS_ACTIVITIES_ID` int(11) DEFAULT NULL,
  `COLLATERAL_TYPE_ID` int(11) DEFAULT NULL,
  `GRACE_PERIOD_TYPE_ID` smallint(6) NOT NULL DEFAULT '0',
  `GROUP_FLAG` smallint(6) DEFAULT NULL,
  `LOAN_AMOUNT` decimal(21,4) DEFAULT NULL,
  `LOAN_AMOUNT_CURRENCY_ID` smallint(6) DEFAULT NULL,
  `LOAN_BALANCE` decimal(21,4) DEFAULT NULL,
  `LOAN_BALANCE_CURRENCY_ID` smallint(6) DEFAULT NULL,
  `INTEREST_TYPE_ID` smallint(6) DEFAULT NULL,
  `INTEREST_RATE` decimal(13,10) DEFAULT NULL,
  `FUND_ID` smallint(6) DEFAULT NULL,
  `MEETING_ID` int(11) DEFAULT NULL,
  `CURRENCY_ID` smallint(6) DEFAULT NULL,
  `NO_OF_INSTALLMENTS` smallint(6) NOT NULL DEFAULT '0',
  `DISBURSEMENT_DATE` date DEFAULT NULL,
  `COLLATERAL_NOTE` text,
  `GRACE_PERIOD_DURATION` smallint(6) DEFAULT NULL,
  `INTEREST_AT_DISB` smallint(6) DEFAULT NULL,
  `GRACE_PERIOD_PENALTY` smallint(6) DEFAULT NULL,
  `PRD_OFFERING_ID` smallint(6) DEFAULT NULL,
  `t_collateral_note` varchar(255) DEFAULT NULL,
  `REDONE` smallint(6) NOT NULL,
  `PARENT_ACCOUNT_ID` int(11) DEFAULT NULL,
  `MONTH_RANK` smallint(6) DEFAULT NULL,
  `MONTH_WEEK` smallint(6) DEFAULT NULL,
  `RECUR_MONTH` smallint(6) DEFAULT NULL,
  PRIMARY KEY (`ACCOUNT_ID`),
  KEY `CURRENCY_ID` (`CURRENCY_ID`),
  KEY `LOAN_AMOUNT_CURRENCY_ID` (`LOAN_AMOUNT_CURRENCY_ID`),
  KEY `LOAN_BALANCE_CURRENCY_ID` (`LOAN_BALANCE_CURRENCY_ID`),
  KEY `FUND_ID` (`FUND_ID`),
  KEY `GRACE_PERIOD_TYPE_ID` (`GRACE_PERIOD_TYPE_ID`),
  KEY `INTEREST_TYPE_ID` (`INTEREST_TYPE_ID`),
  KEY `MEETING_ID` (`MEETING_ID`),
  KEY `COLLATERAL_TYPE_ID` (`COLLATERAL_TYPE_ID`),
  KEY `BUSINESS_ACTIVITIES_ID` (`BUSINESS_ACTIVITIES_ID`),
  KEY `PRD_OFFERING_ID` (`PRD_OFFERING_ID`),
  KEY `fk_loan_account` (`PARENT_ACCOUNT_ID`),
  KEY `fk_loan_rankday` (`MONTH_RANK`),
  KEY `fk_loan_monthweek` (`MONTH_WEEK`),
  CONSTRAINT `fk_loan_account` FOREIGN KEY (`PARENT_ACCOUNT_ID`) REFERENCES `loan_account` (`ACCOUNT_ID`),
  CONSTRAINT `fk_loan_acc_id` FOREIGN KEY (`PARENT_ACCOUNT_ID`) REFERENCES `account` (`ACCOUNT_ID`),
  CONSTRAINT `fk_loan_bus_act_id` FOREIGN KEY (`BUSINESS_ACTIVITIES_ID`) REFERENCES `lookup_value` (`LOOKUP_ID`),
  CONSTRAINT `fk_loan_col_type_id` FOREIGN KEY (`COLLATERAL_TYPE_ID`) REFERENCES `lookup_value` (`LOOKUP_ID`),
  CONSTRAINT `fk_loan_monthweek` FOREIGN KEY (`MONTH_WEEK`) REFERENCES `week_days_master` (`WEEK_DAYS_MASTER_ID`),
  CONSTRAINT `fk_loan_prd_off_id` FOREIGN KEY (`PRD_OFFERING_ID`) REFERENCES `prd_offering` (`PRD_OFFERING_ID`),
  CONSTRAINT `fk_loan_rankday` FOREIGN KEY (`MONTH_RANK`) REFERENCES `rank_days_master` (`RANK_DAYS_MASTER_ID`),
  CONSTRAINT `loan_account_ibfk_1` FOREIGN KEY (`ACCOUNT_ID`) REFERENCES `account` (`ACCOUNT_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `loan_account_ibfk_13` FOREIGN KEY (`PARENT_ACCOUNT_ID`) REFERENCES `account` (`ACCOUNT_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `loan_account_ibfk_2` FOREIGN KEY (`CURRENCY_ID`) REFERENCES `currency` (`CURRENCY_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `loan_account_ibfk_3` FOREIGN KEY (`LOAN_AMOUNT_CURRENCY_ID`) REFERENCES `currency` (`CURRENCY_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `loan_account_ibfk_4` FOREIGN KEY (`LOAN_BALANCE_CURRENCY_ID`) REFERENCES `currency` (`CURRENCY_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `loan_account_ibfk_6` FOREIGN KEY (`FUND_ID`) REFERENCES `fund` (`FUND_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `loan_account_ibfk_7` FOREIGN KEY (`GRACE_PERIOD_TYPE_ID`) REFERENCES `grace_period_type` (`GRACE_PERIOD_TYPE_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `loan_account_ibfk_8` FOREIGN KEY (`INTEREST_TYPE_ID`) REFERENCES `interest_types` (`INTEREST_TYPE_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8


./mysql -ureaduser -p54209lpsfg -h203.200.1.84 -P3306 mifos -e "show table status like 'loan_account' \G" >> /home/anil/Desktop/Tableinfo_4m_master.sql 

*************************** 1. row ***************************
           Name: loan_account
         Engine: InnoDB
        Version: 10
     Row_format: Compact
           Rows: 3181734
 Avg_row_length: 92
    Data_length: 293404672
Max_data_length: 0
   Index_length: 555204608
      Data_free: 5242880
 Auto_increment: NULL
    Create_time: 2010-06-06 05:39:38
    Update_time: NULL
     Check_time: NULL
      Collation: utf8_general_ci
       Checksum: NULL
 Create_options: 
        Comment: 
